If current games require latest client, please then also make latest client available as download.

Started by Bletchley Park

Bletchley Park Lv 1

I am in a hotel right now with a slow connection. I cannot log on to the game. I decided I download the LATEST client so I could see if that remedied the problem. It turned out to be a slightly older version. So I installed that, then it turns out I need a newer version to play the latest puzzles…

And the whole download starts again through the client…

Please make the latest version required to play the game the default for download.